Summary:	appres - list X application resource database
Summary(pl.UTF-8):	appres - wypisywanie bazy danych zasobów aplikacji X
Name:		xorg-app-appres
Version:	1.0.6
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/appres-%{version}.tar.xz
# Source0-md5:	16d585015ea01f80efd2a3a151152b0c
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.17
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The appres program prints the resources seen by an application (or
subhierarchy of an application) with the specified class and instance
names. It can be used to determine which resources a particular
program will load.

%description -l pl.UTF-8
Program appres wypisuje zasoby widziane przez aplikację (lub
podhierarchię aplikacji) o określonej nazwie klasy i instancji. Może
być używany do określenia, które zasoby wczytuje dany program.

%prep
%setup -q -n appres-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/appres
%{_mandir}/man1/appres.1*
%changelog
* Fri Apr 15 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-appres.git;a=log;h=master

* Thu Apr 14 2022 Jakub Bogusz <qboosh@pld-linux.org> 21f6aa9
- updated to 1.0.6

* Thu Mar 15 2018 Jakub Bogusz <qboosh@pld-linux.org> 43dec1b
- updated to 1.0.5

* Sun May 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 08e46bf
- updated to 1.0.4

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> c9e70ab
- dropped pre-cvs changelog

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> 20de0df
- updated to 1.0.3

* Sat Oct 10 2009 Jakub Bogusz <qboosh@pld-linux.org> 022b599
- util-macros version

* Sat Oct 10 2009 Jakub Bogusz <qboosh@pld-linux.org> abb5cf5
- back (not a part of X11R7.5 release, but still useful Xt application)

* Sat Oct 03 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 20d80fe
- obsoleted by upstream

* Tue Sep 22 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 6bfeb43
- up to 1.0.2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> f32229f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> dda1f0c
- converted to UTF-8

* Tue Jan 23 2007 Jakub Bogusz <qboosh@pld-linux.org> 81383a7
- updated pl

* Tue Jan 23 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 4b3c72f
- up to 1.0.1

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> b9b0047
- use individual dir, release 1

* Tue Jan 10 2006 Jakub Bogusz <qboosh@pld-linux.org> 055b910
- 1.0.0 (X11R7.0 release)

* Thu Dec 08 2005 Jakub Bogusz <qboosh@pld-linux.org> 682c740
- 0.99.2 (X11R7.0-RC3)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 228c7a6
- pkgconfig epoch

* Fri Oct 21 2005 Jakub Bogusz <qboosh@pld-linux.org> e22ca55
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> e73361b
- sorted BRs

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> b72dc59
- standard permisions to binaries

